import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (p, t, i, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, i) : t, o = p.length - 1, s; o >= 0; o--)
    (s = p[o]) && (e = (r ? s(t, i, e) : s(e)) || e);
  return r && e && g(t, i, e), e;
};
let l = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--stopCircleFilledLarge", this.class = "c-pieIcon c-pieIcon--stopCircleFilledLarge", this.name = "IconStopCircleFilledLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" class="c-pieIcon c-pieIcon--stopCircleFilledLarge"><path d="M24.665 7.14c-2.3-2.3-5.411-3.59-8.662-3.59-2.42 0-4.791.72-6.812 2.06a12.315 12.315 0 0 0-4.51 5.502 12.258 12.258 0 0 0-.701 7.082 12.22 12.22 0 0 0 3.35 6.271 12.258 12.258 0 0 0 6.272 3.35c2.38.47 4.841.23 7.082-.7 2.24-.93 4.151-2.5 5.501-4.51a12.203 12.203 0 0 0 2.06-6.812c0-3.25-1.29-6.362-3.59-8.662l.01.01Zm-3.66 12.274c0 .77-.621 1.39-1.391 1.39h-7.212c-.77 0-1.39-.62-1.39-1.39v-7.212c0-.77.62-1.39 1.39-1.39h7.212c.77 0 1.39.62 1.39 1.39v7.212Z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], l.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = c([
  h("icon-stop-circle-filled-large")
], l);
export {
  l as IconStopCircleFilledLarge
};
